function [ filter ] = createfilter( type,size,param )
if(strcmp(type,'round'))
    filter=zeros(size);
    radius=(size+1)/2;
    for ii=1:size
        for jj=1:size
            d=sqrt((ii-radius)^2+(jj-radius)^2);
            if d < radius
                filter(ii,jj)=1;
            end
        end
    end
    filter=filter/sum(filter(:));
end
if(strcmp(type,'gauss'))
    filter=fspecial('gaussian', [size,size],param);
end
end

